NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.SpinePlaneBuilder Class Reference

Represents a NXOpen.GeometricUtilities.SpinePlaneBuilder . More...

Inheritance diagram for NXOpen.GeometricUtilities.SpinePlaneBuilder:

Public Member Functions

unsafe void AlternateSolution ()
 Creates the longer arc between the current and previous plane. More...
 

Properties

unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the plane More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.SpinePlaneBuilder .

To create a new instance of this class, use NXOpen.Part.CreateEmptySpinePlaneBuilder

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.SpinePlaneBuilder.AlternateSolution ( )

Creates the longer arc between the current and previous plane.

Shorter arc is constructed by default.

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe NXOpen.Plane NXOpen.GeometricUtilities.SpinePlaneBuilder.Plane
getset

Returns or sets the plane

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.